Bug 813865 - support raw ipv6 addresses in URIs
support raw ipv6 addresses in URIs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-gtk (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Daniel Berrange
Desktop QE
: Regression
Depends On: 813375
Blocks: 840699
  Show dependency treegraph
 
Reported: 2012-04-18 11:46 EDT by Daniel Berrange
Modified: 2013-02-21 03:47 EST (History)
14 users (show)

See Also:
Fixed In Version: spice-gtk-0.14-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Bugs in remote-viewer URI parsing when the URI contains an IPv6 address Consequence: remote-viewer cannot be started from the command line with an IPv6 URI Fix: Fix parsing of URIs containing IPv6 addresses Result: It's possible to connect to IPv6 addresses when starting remote-viewer from the command line.
Story Points: ---
Clone Of: 813375
: 873263 (view as bug list)
Environment:
Last Closed: 2013-02-21 03:47:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2012-04-18 11:46:07 EDT
+++ This bug was initially created as a clone of Bug #813375 +++

Description of problem:
support ipv6 addresses on CLI. IPv6 passed via controller works.

Version-Release number of selected component (if applicable):
virt-viewer-0.5.2-4

How reproducible:
always

Steps to Reproduce:
try to connect to qemu over ipv6:
1. remote-viewer spice://ipv6_addr/?port=PORT
2. remote-viewer spice://[ipv6_addr]/?port=PORT
3.
  
Actual results:
none of above works

Expected results:
some of above works

Additional info:
when address is passed via controller, remote-viewer works

--- Additional comment from berrange@redhat.com on 2012-04-18 16:45:35 BST ---

The RFC compliant syntax would be the second example you give

>  remote-viewer spice://[ipv6_addr]/?port=PORT

I have confirmed that this is indeed broken for both SPICE and VNC. The VNC support can be fixed in virt-viewer itself. The SPICE fix needs to be done in SPICE-GTK
Comment 1 Daniel Berrange 2012-04-18 11:46:40 EDT
Proof of concept upstream patch:

http://lists.freedesktop.org/archives/spice-devel/2012-April/008769.html
Comment 4 Daniel Berrange 2012-04-19 10:58:17 EDT
Alternative patch now posted

http://lists.freedesktop.org/archives/spice-devel/2012-April/008808.html
Comment 5 Andrew Cathrow 2012-04-23 10:25:13 EDT
What's the driver for this being a blocker for 6.3?
Comment 6 Daniel Berrange 2012-04-23 10:29:10 EDT
AFAIK, IPv6 support was a requirement of any RHEL6 application, in this case we need spice-gtk to support it for virt-viewer, so that it can connect to an IPv6 enabled KVM host
Comment 7 Daniel Berrange 2012-04-23 12:54:29 EDT
New (hopefully final) version of upstream patch

http://lists.freedesktop.org/archives/spice-devel/2012-April/008833.html
Comment 8 Daniel Berrange 2012-04-24 05:54:01 EDT
Committed upstream in

commit 50add15ef69cde34346e11b5c91e1257cecb2696
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Thu Apr 19 11:12:09 2012 +0100

    Fix multiple problems with URI parsing
Comment 11 David Blechter 2012-05-22 11:15:42 EDT
moving to 6.4. Deadline is less than 24 hours from now. The patches were not approved upstream.
Comment 12 David Jaša 2012-05-31 12:28:33 EDT
please take bug #827115 into account when looking at the patches.
Comment 19 errata-xmlrpc 2013-02-21 03:47:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0343.html

Note You need to log in before you can comment on or make changes to this bug.